#!/bin/bash
set -e
curl -s --retry-all-errors --retry 3 --retry-delay 5 -X GET "https://api.weather.com/v3/wx/observations/current?language=en-US&apiKey=21d8a80b3d6b444998a80b3d6b1449d3&geocode=29.668,-95.069&units=e&format=json" -H  "accept: application/json" -o /tmp/current.json
curl  -s --retry-all-errors --retry 3 --retry-delay 5 -X GET "https://api.weather.com/v3/wx/forecast/daily/5day?language=en-US&apiKey=21d8a80b3d6b444998a80b3d6b1449d3&geocode=29.668,-95.069&units=e&format=json" -H  "accept: application/json" -o /tmp/forecast.json
curl -s --retry-all-errors --retry 3 --retry-delay 5 -X GET "https://api.weather.com/v3/alerts/headlines?geocode=29.668,-95.068&format=json&language=en-US&apiKey=21d8a80b3d6b444998a80b3d6b1449d3" -H  "accept: application/json" -o /tmp/warnings.json
cd /tmp
jq -n 'reduce inputs as $s (.; (.[input_filename|rtrimstr(".json")]) += $s)' current.json forecast.json warnings.json >/tmp/weather.json
rm current.json
rm forecast.json
rm warnings.json
exit
