import QtQuick 2.9
import org.kde.plasma.core 2.1
import QtQuick.Layouts 1.5
import QtQuick.Controls 2.5
import QtGraphicalEffects 1.15


Item {
    id:frMain
    width:340
    height:840
    // GetData {id:jsonData}

     Component.onCompleted: {
        init.start();
    }

    Timer {
        id:init
        interval:100
        running:false
        repeat:false
        onTriggered: {
            mainLoader.source = "Today.qml";
        }
    }

    Loader {
        id: mainLoader
        anchors.fill: parent
        opacity: 0
        onSourceChanged: opacity = 1
        focus: true
        Behavior on opacity {
            OpacityAnimator {
                duration: units.longDuration
                easing.type: Easing.InCubic
            }
        }
    }

}
